ru.yandex.clickhouse.util

## Class ClickHouseArrayUtil

- java.lang.Object
- - ru.yandex.clickhouse.util.ClickHouseArrayUtil

    public class ClickHouseArrayUtil
    extends Object

Author:
  Dmitry Andreev

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `arrayToString(Object object)`
`static String` `arrayToString(Object object, Boolean explicitEscape)`
`static String` `toString(byte[] values)`
`static String` `toString(char[] values)`
`static String` `toString(Collection collection)`
`static String` `toString(Collection collection, boolean escape)` Convert collection to its ClickHouse-string representation.
`static String` `toString(double[] values)`
`static String` `toString(float[] values)`
`static String` `toString(int[] values)`
`static String` `toString(long[] values)`
`static String` `toString(Object[] values)`
`static String` `toString(Object[] values, Boolean explicitEscape)`
`static String` `toString(short[] values)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### arrayToString

    public static String arrayToString(Object object)

#### arrayToString

    public static String arrayToString(Object object,
                                       Boolean explicitEscape)

Parameters:
  `object` - the object to convert to ClickHouse-string representation
  `explicitEscape` - enable or disable elements escaping (works only for non-primitive values)

#### toString

    public static String toString(int[] values)

#### toString

    public static String toString(long[] values)

#### toString

    public static String toString(float[] values)

#### toString

    public static String toString(double[] values)

#### toString

    public static String toString(byte[] values)

#### toString

    public static String toString(short[] values)

#### toString

    public static String toString(char[] values)

#### toString

    public static String toString(Object[] values)

#### toString

    public static String toString(Object[] values,
                                  Boolean explicitEscape)

#### toString

    public static String toString(Collection collection)

#### toString

    public static String toString(Collection collection,
                                  boolean escape)

Convert collection to its ClickHouse-string representation.

Parameters:
  `collection` - the collection to transform
  `escape` - enable or disable escaping of the collection elements